Slot for small gear

This commit is contained in:
Christian Colglazier 2022-05-21 15:53:39 -04:00
parent 4a4c18cf5d
commit 42498096ed

View File

@ -92,7 +92,6 @@ copy = lid.faces('>>Z[0]').workplane().center(0, -offset-loop_thickness).polarLi
lid = lid.faces('>Z[0]').shell(.000001-wall_width)
lid = lid.add(copy)
lid = lid.faces('>Z[1]').workplane().center(stepper_center[0], -stepper_center[1]-offset-loop_thickness).circle(5).extrude(lid_thicknesss-wall_width)
lid = lid.faces('>Z[0]').workplane().circle(5/2).cutThruAll()
@ -137,8 +136,12 @@ l_gear = l_gear.translate((21+stepper_center[0],20.15+stepper_center[1]+offset+l
s_gear = cq.Workplane('XY').gear(SpurGear(module=mod,
teeth_number=11,
width=gear_thinkness,
bore_d=4.5))
width=gear_thinkness))
tab_distance = 2
shaft_diameter = 5
copy = s_gear.faces('<Z[0]').workplane().vLine(tab_distance, forConstruction=True).hLine(10).vLine(-10).hLine(-20).vLine(10).close().cutThruAll()
s_gear = s_gear.faces('<Z[0]').sketch().circle(shaft_diameter/2).finalize().cutThruAll()
s_gear = s_gear.add(copy)
s_gear = s_gear.translate((stepper_center[0],stepper_center[1]+offset+loop_thickness,(gear_thinkness+gear_offset)/2))
# Render